## Class connection

zeep::http::connection

## Synopsis

    // In header: <zeep/http/connection.hpp>

    class connection : public  {
    public:
      // construct/copy/destruct
      (connection &) = ;
      (, basic_server &);
      connection & (connection &) = ;

      // public member functions
       ();
       (, );
       (, );
       ();
    };

## Description

The HTTP server implementation of libzeep is inspired by the example code as provided by boost::asio. These objects are not to be used directly.

### `connection` public construct/copy/destruct

1.     (connection &) = ;

2.     ( service, basic_server & handler);

3.     connection & (connection &) = ;

### `connection` public member functions

1.      ();

2.      ( ec,  bytes_transferred);

3.      ( ec,  bytes_transferred);

4.      ();